Subject: [AVTCORE] WGLC on "RTP Payload Format for ISO/IEC 21122 (JPEG XS)

From: Bernard Aboba <[email-masked]>
Date: Mon, 8 Feb 2021 03:07:26 -0800

This is an announcement of WG last call on "RTP Payload Format for
ISO/IEC 21122 (JPEG XS)"

The document is available for inspection
here:https://tools.ietf.org/html/draft-ietf-payload-rtp-jpegxs

WG Last Call will end on February 23, 2021.

In response, please state one of the following:

* I support advancing the document to Proposed Standard
* I object to advancement to Proposed Standard, due to Issues described
below <Issue description or link>.

Bernard Aboba
For the Chairs

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 8 Feb 2021 11:25:18 +0000

Hi,

I have no input regarding Bernard’s questions. But, again, as I am not sure whether the document will be sent to the SDP directorate, I will give some SDP comments here:

Q1:                      The only text found in the SDP O/A Considerations is:

“All parameters are declarative.”

  *   It needs to be indicated whether (or whether not) the parameters in an answer depend on the parameters in the offer.

  *   It needs to be indicated whether (or whether not) it is allowed to update some parameters in a subsequent offer and/or answer.

  *   Is it clear whether all parameters are optional or mandatory? And, if optional, are there some pre-defined default values?

Q2:                      The text says that a rate of 90000 SHOULD be used. Are there cases where other values would be justified? Is there a range of values that can be used?

Q3 (editorial): Section 6.2.1 talks about creating an “SDP object”. Do you mean “SDP media description”?

Regards,

Christer

From: avt <[email-masked]> On Behalf Of Bernard Aboba
Sent: maanantai 8. helmikuuta 2021 13.07
To: IETF AVTCore WG <[email-masked]>
Subject: [AVTCORE] WGLC on "RTP Payload Format for ISO/IEC 21122 (JPEG XS)

This is an announcement of WG last call on "RTP Payload Format for ISO/IEC 21122 (JPEG XS)"

The document is available for inspection here:

https://tools.ietf.org/html/draft-ietf-payload-rtp-jpegxs

Bernard Aboba

For the Chairs

---

From: Tim Bruylants <[email-masked]>
Date: Thu, 11 Feb 2021 10:16:34 +0000

Hi Christer,

Thanks for your questions and comments. Let me try to answer here.

>>>> Q1 A) “All parameters are declarative.”
Indeed, the sentence is maybe a bit too vague. We propose to replace it with the following text:
“””
When XS is offered over RTP using SDP in an Offer/Answer model [RFC3264]
for negotiation for unicast usage, the following limitations and rules apply:

All parameters are declarative, i.e. apply only to media sent by the entity
that generated the SDP [RFC4568]. Thus, a declarative parameter in an offer
applies to media sent by the offeror, whereas a declarative parameter in an
answer applies to media sent by the answerer. All parameters must be
supported by both sides, i.e. the answerer MUST either maintain all
parameters or remove the media format (payload type) completely if one or
more of the parameter values are not supported.
“””

Would that clarify the intent (and address your comment)?

As such, the parameters are not allowed to be updated in a subsequent offer and/or answer.

We wonder if we need to add a definition for “declarative” in the text or not? We can add something like (as defined in RFC4568 section 4.4):
“””
In the offer/answer model, session parameters may be either
negotiated or declarative; the definition of specific session
parameters MUST indicate whether they are negotiated or declarative.
Negotiated parameters apply to data sent in both directions, whereas
declarative parameters apply only to media sent by the entity that
generated the SDP.  Thus, a declarative parameter in an offer applies
to media sent by the offerer, whereas a declarative parameter in an
answer applies to media sent by the answerer.
“””

>>>> Q1 B) Is it clear whether all parameters are optional or mandatory? And, if optional, are there some pre-defined default values?

I believe this is clear (unless I do not understand the question entirely). Section 6.1 (Media Type Definition) lists the allowed parameters, and this list is split in two parts: “Required parameters” and “Optional parameters”. So, to me this is really correct and answers the question/comment. It is maybe not well-layouted, but it is very clearly stated. There are only two required params: rate and transmode. All others are optional (and their content is redundant with the signaled payload, but that is beside the point).

>>>> Q2: The text says that a rate of 90000 SHOULD be used.

We agree with your comment, and will adjust the wording to MUST/SHALL, so that 90000 is the only allowed value. We have no use cases that justify other values.

>>>>  Q3: Do you mean “SDP media description”?

Yes, indeed. We will adjust the text to use the suggested wording: “SDP media description”.

I hope this addresses all of your questions and remarks. But, please let us know if it is not the case.

Best regards,
Tim.

From: avt <[email-masked]> On Behalf Of Christer Holmberg
Sent: Monday 8 February 2021 12:25
To: Bernard Aboba <[email-masked]>; IETF AVTCore WG <[email-masked]>
Subject: Re: [AVTCORE] WGLC on "RTP Payload Format for ISO/IEC 21122 (JPEG XS)

Hi,

Regards,

Christer

From: avt <[email-masked]<mailto:[email-masked]>> On Behalf Of Bernard Aboba
Sent: maanantai 8. helmikuuta 2021 13.07
To: IETF AVTCore WG <[email-masked]<mailto:[email-masked]>>
Subject: [AVTCORE] WGLC on "RTP Payload Format for ISO/IEC 21122 (JPEG XS)

https://tools.ietf.org/html/draft-ietf-payload-rtp-jpegxs<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dpayload-2Drtp-2Djpegxs&d=DwMGaQ&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=LTxUGukLCEfEUdo_bq048Q&m=Kw8tfq19UjY36n-l6ZgshGMKn5OwjTNj5-feau5R3Go&s=3Y4gelzLQeUTXKsHhtuYzitx_Yjkl2aLKIii1ObYXVY&e=>

Bernard Aboba

For the Chairs

---

From: John Dale <[email-masked]>
Date: Thu, 18 Feb 2021 14:53:05 +0000

Hello Bernard,

My name is John Dale and I chair the Video Service Forum (VSF) activity group working on TR-07 & TR-08 which are technical recommendations for use of JPEG XS over IP networks for broadcast and pro A/V applications.   We will reference this RFC in our TR-08 recommendation.  I very much support advancing the document to Proposed Standard.

John

From: avt <[email-masked]> On Behalf Of Bernard Aboba
Sent: Monday, February 8, 2021 6:07 AM
To: IETF AVTCore WG <[email-masked]>
Subject: [AVTCORE] WGLC on "RTP Payload Format for ISO/IEC 21122 (JPEG XS)

Bernard Aboba

For the Chairs

---

From: Inge Hillestad <[email-masked]>
Date: Sat, 20 Feb 2021 08:06:57 +0000

Hi

I support advancing the document to Proposed Standard.

I have one comment/suggestion:

The name of the optional SDP parameter for signaling interlaced video, changed from “interlace” to “interlaced”, in version 07 of the draft. Reviewing other RFCs, I note that RFC 4175 for uncompressed video uses “interlace”, and RFC 5371 for JPEG 2000 video also uses “interlace”. Further, SMPTE ST 2110-20, which builds on RFC 4175, uses “interlace”.

In order to ensure a level of consistency, and make SDP parsing and generation nicer, could the editors please consider to use “interlace” as the parameter name?

Best regards,
 Inge Hillestad

From: avt <[email-masked]> On Behalf Of Bernard Aboba
Sent: Monday, February 8, 2021 12:07 PM
To: IETF AVTCore WG <[email-masked]>
Subject: [AVTCORE] WGLC on "RTP Payload Format for ISO/IEC 21122 (JPEG XS)

Bernard Aboba

For the Chairs

---

From: Tim Bruylants <[email-masked]>
Date: Mon, 22 Feb 2021 08:14:44 +0000

Dear Inge,

Thanks for reviewing the RTP XS spec and finding the mistake in the “interlace” SDP parameter. You are correct and I have edited it to be “interlace” again (this was an unfortunate change by mistake that slipped in). It should be the same as with other RTP specs and more importantly, it should match with SMPTE ST 2110-20.

Best regards,
Tim.

From: avt <[email-masked]> On Behalf Of Inge Hillestad
Sent: Saturday 20 February 2021 09:07
To: Bernard Aboba <[email-masked]>; IETF AVTCore WG <[email-masked]>
Subject: Re: [AVTCORE] WGLC on "RTP Payload Format for ISO/IEC 21122 (JPEG XS)

Hi

Best regards,
 Inge Hillestad

https://tools.ietf.org/html/draft-ietf-payload-rtp-jpegxs<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dpayload-2Drtp-2Djpegxs&d=DwMGaQ&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=LTxUGukLCEfEUdo_bq048Q&m=WI6uxFuZcxoZAqUt9YywZ3DTzUP8Mkb8LhF1YFupx-U&s=x7fhqEvwTgN1Mfb_sZbJcJon8ya-ZHt6bPmcQWTGGjA&e=>

Bernard Aboba

For the Chairs